Pipelines

Reassign records from one pipeline stage to another

POST
/api/pipelines/stages/reassign

Moves all contacts or applications from sourceStageId to targetStageId (must belong to the same pipeline) and deactivates the source stage. The body requires both stage ids.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/pipelines/stages/reassign" \  -H "Content-Type: application/json" \  -d '{    "sourceStageId": "67f0a0b0c0d0e0f0a0b0c0d0",    "targetStageId": "67f0a0b0c0d0e0f0a0b0c0d1"  }'
{  "success": true,  "recordsTransferred": 7,  "sourceStage": {    "id": "67f0a0b0c0d0e0f0a0b0c0d0",    "name": "New"  },  "targetStage": {    "id": "67f0a0b0c0d0e0f0a0b0c0d1",    "name": "Qualified"  }}